searchData={"items":[{"type":"module","title":"DockerCompose","doc":"Docker Compose CLI\n\nUses `docker-compose` executable, it must be installed and working.","ref":"DockerCompose.html"},{"type":"function","title":"DockerCompose.down/1","doc":"docker-compose down","ref":"DockerCompose.html#down/1"},{"type":"function","title":"Options - DockerCompose.down/1","doc":"- `compose_path: path` - path to the compose if not in the standard location\n  - `project_name: name` - compose project name\n  - `remove_orphans: true` - if true orphaned containers are removed\n  - `compatibility: true` - if true, runs compose in backward compatibility mode","ref":"DockerCompose.html#down/1-options"},{"type":"function","title":"Result - DockerCompose.down/1","doc":"The function returns either `{:ok, summary}` if the request is successful or `{:error, exit_code,\nsummary}`. The exit code is the exit code of the docker-compose process that failed.\n\nSummary is a map with\n  - `stopped_containers` - which containers were stopped\n  - `removed_containers` - which containers were removed\n  - `removed_networks` - which networks were removed\n  - `removed_orphan_containers` - which containers were removed if `remove_orphans: true` is\n    specified","ref":"DockerCompose.html#down/1-result"},{"type":"function","title":"DockerCompose.restart/1","doc":"docker-compose restart","ref":"DockerCompose.html#restart/1"},{"type":"function","title":"Options - DockerCompose.restart/1","doc":"- `compose_path: path` - path to the compose if not in the standard location\n  - `project_name: name` - compose project name\n  - `service: name` - name of the service to be restarted, can be specified multiple times to\n    restart multiple services at once. If not specified at all then all services are restarted.\n  - `compatibility: true` - if true, runs compose in backward compatibility mode","ref":"DockerCompose.html#restart/1-options"},{"type":"function","title":"DockerCompose.start/1","doc":"docker-compose start\n\nNote this can only be used to start previously created and stopped services. If you want to create\nand start the services use `up/1`.","ref":"DockerCompose.html#start/1"},{"type":"function","title":"Options - DockerCompose.start/1","doc":"- `compose_path: path` - path to the compose if not in the standard location\n  - `project_name: name` - compose project name\n  - `service: name` - name of the service to be started, can be specified multiple times to start\n    multiple services at once. If not specified at all then all services are started.","ref":"DockerCompose.html#start/1-options"},{"type":"function","title":"DockerCompose.stop/1","doc":"docker-compose stop","ref":"DockerCompose.html#stop/1"},{"type":"function","title":"Options - DockerCompose.stop/1","doc":"- `compose_path: path` - path to the compose if not in the standard location\n  - `project_name: name` - compose project name\n  - `service: name` - name of the service to be stopped, can be specified multiple times to stop\n    multiple services at once. If not specified at all then all services are stopped.\n  - `compatibility: true` - if true, runs compose in backward compatibility mode","ref":"DockerCompose.html#stop/1-options"},{"type":"function","title":"DockerCompose.up/1","doc":"docker-compose up\n\nThe command is executed in detached mode, result is returned after the whole command finishes,\nwhich might take a while if the images need to be pulled.","ref":"DockerCompose.html#up/1"},{"type":"function","title":"Options - DockerCompose.up/1","doc":"- `compose_path: path` - path to the compose if not in the standard location\n  - `project_name: name` - compose project name\n  - `force_recreate: true` - if true all specified services are forcefully recreated\n  - `remove_orphans: true` - if true orphaned containers are removed\n  - `service: name` - name of the service that should be started, can be specified multiple times\n    to start multiple services. If it's not specified at all then all services are started.\n  - `compatibility: true` - if true, runs compose in backward compatibility mode\n  - `quiet_pull: true` - if true, pull without printing progress information","ref":"DockerCompose.html#up/1-options"},{"type":"type","title":"DockerCompose.exit_code/0","doc":"","ref":"DockerCompose.html#t:exit_code/0"},{"type":"type","title":"DockerCompose.output/0","doc":"","ref":"DockerCompose.html#t:output/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}